
Figure - Bug #118163
【IOVDEV-29546】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【视频播放器】【音频播放器】
偶发播放视频和音频无声现象
2023-05-22 20:29 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.x101����【副屏版本号】：01.00.0095.c103

Resolution: INVALID Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230519 14:09 14:10

【前提条件】：副屏上电

【操作步骤】

1.选择视频/音频播放

【实际结果】

1.偶发播放无声

【期望结果】

1.音视频可以正常有声播放

【应用版本】：

【VIN号】：LJD8BB3F0P0000341

【中控版本号】：03.02.0082.x101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-22 20:30 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118163

#2 - 2023-05-23 16:58 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI 诗雨

根据当前的日志分析：
1.焦点的申请是正常的，未出现获取焦点失败的情况。

2.底层开通路和设备也是正常的，未看到其他异常情况。

下一步

需要重新复现该问题，并抓取QXDM日志。

#3 - 2023-05-23 20:07 - CDTS_Test 吴诗雨

本地0521DB版本未复现该情况

#4 - 2023-05-26 18:13 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

#5 - 2023-05-26 18:14 - CDTS-TEST 周婷

- File tlog_iov0201017500006162025411a2212290000000561_000779_0526153038.tar.gz added

客户复现提供得最新文件，请分析

#6 - 2023-05-26 19:30 - Multimedia组-RD3_TSCD 梁卿山

HI 诗雨

根据新的日志，看到以下错误，看起来是创建音频解码器失败了，导致没有声音播放；

05-26 15:28:56.709  1204  6255 W Utils   : track of type 'audio/mpeg-L2' does not publish channel mask, channel count 2

05-26 15:28:56.710  1857  3272 D Avrcp_ext: AudioManager Player in started state: com.android.gallery3d

05-26 15:28:56.710  1857  3272 D Avrcp_ext: AudioManager Active Player: com.android.gallery3d

05-26 15:28:56.710  1857  3272 D Avrcp_ext: AudioManager isPlaying: true, mAudioPlaybackIsActive = false

05-26 15:28:56.711  1857  3272 V Avrcp_ext: updateCurrentMediaState: mMediaController: MediaController (com.android.music@ce29ea0) null, null, null

05-26 15:28:56.711  1857  3272 W Avrcp_ext: isMusicActive: false getBluetoothPlayState: 2 A2dp State: 11 mAudioPlaybackIsActive: true

05-26 15:28:56.712  1857  3272 D Avrcp_ext: isMusicActive = false mAudioPlaybackIsActive = true player state = PlaybackState {state=2, position=19825, buffered

position=0, speed=1.0, updated=109480, actions=516, custom actions=[], active item id=-1, error=null}

05-26 15:28:56.712   809  1670 D audio_hw_primary: adev_get_parameters:is_hw_dec_session_available ★★★

05-26 15:28:56.712   809  1670 D audio_hw_spkr_prot: fbsp_get_parameters: Speaker protection disabled

05-26 15:28:56.712   809  1670 D soundtrigger: audio_extn_sound_trigger_get_parameters input string<is_hw_dec_session_available=>

05-26 15:28:56.712   809  1670 D soundtrigger: extract_sm_handle input string <is_hw_dec_session_available=> param string <is_hw_dec_session_available=>

05-26 15:28:56.712   809  1670 D audio_hw_extn: audio_extn_fm_get_parameters: Enter

05-26 15:28:56.712   809  1670 D audio_hw_extn: audio_extn_get_parameters: returns 

05-26 15:28:56.712   809  1670 D audio_hw_primary: adev_get_parameters: exit: returns - 

05-26 15:28:56.712   978  5848 I hash_map_utils: system/bt/osi/src/hash_map_utils.cc:81 hash_map_utils_dump_string_keys_string_values: key:

'is_hw_dec_session_available' value: 'audio/mpeg-L2' 

05-26 15:28:56.712  1857  3272 D Avrcp_ext: overwrite album_artist :if album is blank

05-26 15:28:56.712  1204  6659 E NuPlayerDecoder: Failed to create audio/mpeg-L2 decoder ★★★

05-26 15:28:56.712  1204  6255 E NuPlayer: received error(0x80000000) from audio decoder, flushing(0), now shutting down ★★★

下一步

调查创建音频解码器失败的原因。
#7 - 2023-05-29 17:21 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

Hi ALL

根据日志分析，第二次这个问题，和第一次是不同原因，

第二次的日志，并没有播放成功，audio/mpeg-L2 decoder设备不支持，所以该音频无法播放，所以不会出声。

下一步：

请使用可以播放的内容进行复现，并在复现时获取QXDM日志，并标注复现时间，谢谢！

#8 - 2023-06-01 16:26 - CDTS_TEST 王成

- File tlog_iov0201017500006162025411a2212290000000561_000825_0531192826.tar.gz added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

客户反馈：

复现时间：2023/05/31 19；24-19:29

复现版本：01.00.0100.c103

中控版本：03.02.0086.x101

VIN：LJD8BC3F1P0000306

复现步骤：

1.副屏播放视频时中控唤醒语音对话，和hiphigo要求听故事，中控播放有声读物

2.副屏播放相册本地视频，暂停视频，过一会再播放副屏视频，视频无声播放

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118163/tlog_iov0201017500006162025411a2212290000000561_000825_0531192946.tar.gz

#9 - 2023-06-01 16:49 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_TEST 王成

HI 王成

从新的日志来看焦点获取正常，但是由于没有QXDM日志无法定位问题在什么阶段出现的；

请获取复现时的QXDM日志，谢谢！

#10 - 2023-06-12 10:30 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to INVALID

客户未复现此问题，JIRA票已关闭。请关闭此票。
#11 - 2023-06-12 14:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2023-06-12 14:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

视频播放无声.mp4 4.98 MB 2023-05-22 CDTS_Test 吴诗雨

音频播放无声.mp4 6.98 MB 2023-05-22 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000561_000779_0526153038.tar.gz5.34 MB 2023-05-26 CDTS-TEST 周婷

tlog_iov0201017500006162025411a2212290000000561_000825_0531192826.tar.gz24.9 MB 2023-06-01 CDTS_TEST 王成
